com.fasterxml.jackson.dataformat.yaml.snakeyaml.error

## Class MarkedYAMLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JacksonException
        - - com.fasterxml.jackson.core.JsonProcessingException
          - - com.fasterxml.jackson.core.exc.StreamReadException
            - - com.fasterxml.jackson.core.JsonParseException
              - - com.fasterxml.jackson.dataformat.yaml.JacksonYAMLParseException
                - - com.fasterxml.jackson.dataformat.yaml.snakeyaml.error.YAMLException
                  - - com.fasterxml.jackson.dataformat.yaml.snakeyaml.error.MarkedYAMLException

All Implemented Interfaces:
  Serializable

Deprecated.
Since 2.8

    @Deprecated
    public class MarkedYAMLException
    extends YAMLException

Replacement for formerly shaded exception type from SnakeYAML; included in 2.8 solely for backwards compatibility: new code that relies on Jackson 2.8 and after should NOT use this type but only base type `JacksonYAMLParseException`.

See Also:
  Serialized Form

### Field Summary

Fields
`protected org.yaml.snakeyaml.error.MarkedYAMLException` `_source` Deprecated.

### Fields inherited from class com.fasterxml.jackson.core.exc.StreamReadException

`_processor, _requestPayload`

### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

`_location`

### Constructor Summary

Constructors
`protected` `MarkedYAMLException(com.fasterxml.jackson.core.JsonParser p, org.yaml.snakeyaml.error.MarkedYAMLException src)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static MarkedYAMLException` `from(com.fasterxml.jackson.core.JsonParser p, org.yaml.snakeyaml.error.MarkedYAMLException src)` Deprecated.
`String` `getContext()` Deprecated.
`Mark` `getContextMark()` Deprecated.
`String` `getProblem()` Deprecated.
`Mark` `getProblemMark()` Deprecated.

### Methods inherited from class com.fasterxml.jackson.dataformat.yaml.snakeyaml.error.YAMLException

`from`

### Methods inherited from class com.fasterxml.jackson.core.JsonParseException

`getMessage, getProcessor, getRequestPayload, getRequestPayloadAsString, withParser, withRequestPayload`

### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

`clearLocation, getLocation, getMessageSuffix, getOriginalMessage, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _source

    protected final org.yaml.snakeyaml.error.MarkedYAMLException _source

Deprecated.

### Constructor Detail

#### MarkedYAMLException

    protected MarkedYAMLException(com.fasterxml.jackson.core.JsonParser p,
                                  org.yaml.snakeyaml.error.MarkedYAMLException src)

Deprecated.

### Method Detail

#### from

    public static MarkedYAMLException from(com.fasterxml.jackson.core.JsonParser p,
                                           org.yaml.snakeyaml.error.MarkedYAMLException src)

Deprecated.

#### getContext

    public String getContext()

Deprecated.

#### getContextMark

    public Mark getContextMark()

Deprecated.

#### getProblem

    public String getProblem()

Deprecated.

#### getProblemMark

    public Mark getProblemMark()

Deprecated.